AbstractDestination.AbstractBackChannelConduit (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.transport, class: AbstractDestination, class: AbstractBackChannelConduit

Package org.apache.cxf.transport

# Class AbstractDestination.AbstractBackChannelConduit

java.lang.Object
org.apache.cxf.transport.AbstractObservable
org.apache.cxf.transport.AbstractConduit
org.apache.cxf.transport.AbstractDestination.AbstractBackChannelConduit

All Implemented Interfaces:
  `Conduit`, `Observable`

Enclosing class:
  AbstractDestination

protected abstract class AbstractDestination.AbstractBackChannelConduit extends AbstractConduit
Backchannel conduit.

- ## Field Summary

  ### Fields inherited from class org.apache.cxf.transport.AbstractConduit

  `target`

  ### Fields inherited from class org.apache.cxf.transport.AbstractObservable

  `incomingObserver`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractBackChannelConduit()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Logger`
  `getLogger()`
  `void`
  `setMessageObserver(MessageObserver observer)`
  Register a message observer for incoming messages.

  ### Methods inherited from class org.apache.cxf.transport.AbstractConduit

  `close, close, getTarget, toString`

  ### Methods inherited from class org.apache.cxf.transport.AbstractObservable

  `activate, deactivate, getMessageObserver, getTargetReference, getTargetReference`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.cxf.transport.Conduit

  `prepare`

  ### Methods inherited from interface org.apache.cxf.transport.Observable

  `getMessageObserver`

- ## Constructor Details

  - ### AbstractBackChannelConduit

    public AbstractBackChannelConduit()

- ## Method Details

  - ### setMessageObserver

    public void setMessageObserver(MessageObserver observer)
    Register a message observer for incoming messages.
    Specified by:
      `setMessageObserver` in interface `Observable`
    Overrides:
      `setMessageObserver` in class `AbstractObservable`
    Parameters:
      `observer` - the observer to notify on receipt of incoming

  - ### getLogger

    protected Logger getLogger()
    Specified by:
      `getLogger` in class `AbstractObservable`
    Returns:
      the logger to use